# $Revision: 1.36 $, $Date: 2012/03/16 20:43:55 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	DVD menu support library
Summary(pl.UTF-8):	Biblioteka obsługi menu DVD
Name:		libdvdnav
Version:	4.2.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	53be8903f9802e101929a3451203bbf6
Patch0:		%{name}-opt.patch
Patch1:		%{name}-includes_path.patch
Patch2:		link.patch
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libdvdread-devel >= 4.1.3
BuildRequires:	libtool >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD menu support library.

%description -l pl.UTF-8
Biblioteka obsługi menu DVD.

%package devel
Summary:	Development files for libdvdnav
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdvdread-devel >= 4.1.3

%description devel
Development files for libdvdnav.

%description devel -l pl.UTF-8
Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav.

%package static
Summary:	Static libdvdnav library
Summary(pl.UTF-8):	Biblioteka statyczna libdvdnav
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvdnav library.

%description static -l pl.UTF-8
Biblioteka statyczna libdvdnav.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DEVELOPMENT-POLICY.txt README TODO
%attr(755,root,root) %{_libdir}/libdvdnav.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdnav.so.4
%attr(755,root,root) %{_libdir}/libdvdnavmini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdnavmini.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/{dvd_structures,library_layout}
%attr(755,root,root) %{_bindir}/dvdnav-config
%attr(755,root,root) %{_libdir}/libdvdnav.so
%attr(755,root,root) %{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.la
%{_libdir}/libdvdnavmini.la
%{_includedir}/dvdnav
%{_pkgconfigdir}/dvdnav.pc
%{_pkgconfigdir}/dvdnavmini.pc
%{_aclocaldir}/dvdnav.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdnav.a
%attr(755,root,root) %{_libdir}/libdvdnavmini.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdvdnav.spec,v $
Revision 1.36  2012/03/16 20:43:55  qboosh
- more specific URL

Revision 1.35  2012/03/16 16:57:55  sls
- added link.patch
- rel. 1

Revision 1.34  2012/03/16 16:18:31  sls
- ver. 4.2.0 (NFY)

Revision 1.33  2010/08/25 11:23:02  glen
- release 2

Revision 1.32  2008/10/27 00:22:50  charles
- added -includes_path.patch

Revision 1.31  2008/10/15 17:19:57  qboosh
- cleanup
- more verbose files
- revised docs
- ac/am/lt version
- GPL version

Revision 1.30  2008/10/12 15:44:53  lkrotowski
- up to 4.1.3
- moved to mplayerhq version (actively maintained)

Revision 1.29  2007/09/06 14:06:03  baggins
- rel 2

Revision 1.28  2007/07/23 17:29:50  witekfl
- added missing #

Revision 1.27  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.25  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.24  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.23  2005/06/15 19:59:53  witekfl
- added bcond_without static_libs

Revision 1.22  2004/06/20 14:29:33  grzegol
- updated to 0.1.10
- strict internal deps

Revision 1.21  2003/11/11 18:53:13  qboosh
- release 2

Revision 1.20  2003/10/15 09:50:25  qboosh
- added opt patch

Revision 1.19  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/21 09:03:02  trojan
- updated to 0.1.9

Revision 1.16  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.15  2003/04/04 09:03:15  trojan
- updated to 0.1.7

Revision 1.14  2003/02/25 18:25:57  wiget
- release 2
- rebuild with new libdvdread

Revision 1.13  2003/02/04 10:00:25  migo
- devel subpackage requires dvdread-devel

Revision 1.12  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/08/29 14:22:09  qboosh
- BR: libdvdread-devel

Revision 1.9  2002/08/10 23:21:34  marcus
- updated to 0.1.3

Revision 1.8  2002/06/23 15:06:20  jajcus
- fixed (back) automake invocation

Revision 1.7  2002/06/23 12:51:48  jajcus
- Version: 0.1.1

Revision 1.6  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/07 14:13:50  qboosh
- typo

Revision 1.4  2002/05/02 09:46:29  mkochano
- Removed commented out %%patch0 -p1.

Revision 1.3  2002/05/02 01:54:53  kloczek
- finished.

Revision 1.2  2002/05/01 23:01:33  mkochano
- Release 2.
- Corrected -devel subpackage requirement.

Revision 1.1  2002/05/01 22:58:07  mkochano
- Release 1.
- Version 0.1.
- Initial spec based on template.
